 /*
 * 手太欠
 * 愿这世界都如故事里一样 美好而动人~
 */

Page({
    data: {
        orderNo     : '',
        logisticArr : [],
        expressData : '',
    },

    onLoad(options) {
        this.setData({
            orderNo: options.orderno
        })
    },

    onShow() {
        // 查看物流
        this.h5url();
    },

    // 查看物流
    h5url() {
        wx.$api.order.kuaiDi(this.data.orderNo).then(res => {
            this.setData({
                expressData: res.data.orderExpress,
                logisticArr: res.data.logistics
            })
        }).catch(err => {})
        // wx.request({
        //     url: 'http://shanhe.kim/api/za/kuaidi.php?id=' + this.data.expressData.express_no, //需更换需请求数据的接口
        //     success: res=> {
        //         this.setData({
        //             logisticArr: res.data.data
        //         })
        //     },
        // });
    }
})
